---

#! ./fio-basic-1ssd-write.yaml
suite: fio-basic
testcase: fio-basic
category: benchmark
runtime: 300s
disk: 1SSD
fs: btrfs
nr_task: 100%
test_size: 128G
fio-setup-basic:
  rw: randwrite
  bs: 4M
  ioengine: falloc
fio:
job_origin: fio-basic-1ssd-write.yaml
testbox: lkp-csl-2sp10
arch: x86_64
tbox_group: lkp-csl-2sp10

#! hosts/inn
boot_watchdog_mail: ignore

#! include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- BTRFS_FS
- XFS_ONLINE_SCRUB_STATS: "n"
- XFS_DEBUG: "n"
- XFS_WARN: "y"
- PM_DEBUG: "n"
- PM_SLEEP_DEBUG: "n"
- DEBUG_ATOMIC_SLEEP: "n"
- DEBUG_SPINLOCK_SLEEP: "n"
- CIFS_DEBUG: "n"
- SCSI_DEBUG: "n"
- NFS_DEBUG: "n"
- SUNRPC_DEBUG: "n"
- DM_DEBUG: "n"
- DEBUG_SHIRQ: "n"
- OCFS2_DEBUG_MASKLOG: "n"
- DEBUG_MEMORY_INIT: "n"
- BUG_ON_DATA_CORRUPTION: "n"
- DEBUG_LIST: "n"
- DEBUG_PLIST: "n"
- EXPERT: "y"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY_BEHAVIOUR: "y"
- PREEMPT_BEHAVIOUR: "n"
- PREEMPT_NONE_BEHAVIOUR: "n"
- PREEMPT_DYNAMIC: "n"
- PREEMPT_VOLUNTARY: "y"
- PREEMPT_NONE: "n"
- PREEMPT: "n"
- PREEMPT_RT: "n"
- BLK_DEV_SD
- SCSI
- BLOCK: "y"
- SATA_AHCI
- SATA_AHCI_PLATFORM
- ATA
- PCI: "y"
- BTRFS_FS
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! include/category/ALL
cpufreq_governor: performance
sanity-check:

#! include/disk/nr_ssd

#! include/fs/OTHERS

#! queue options
queue_cmdline_keys: []
queue: int
branch: tip/tmp.tmp
commit: eb2db043ab3a28ae76800f2a57e144420800d56d
kconfig: x86_64-rhel-9.4
job_file: "/lkp/jobs/scheduled/lkp-csl-2sp10/fio-basic-4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G-debian-13-x86_64-20250902.cgz-eb2db043ab3a-20251127-3319227-459y1e-0.yaml"
id: 5052e1fa383bd2e4e60f703c6c45027ed034a51c
queuer_version: "/lkp/xsang/.src-20251127-105051"

#! hosts/lkp-csl-2sp10
model: Cascade Lake
nr_node: 4
nr_cpu: 192
memory: 176G
nr_ssd_partitions: 3
ssd_partitions: "/dev/disk/by-id/nvme-INTEL_SSDPECME016T4_CVF87091000G1P6IGN-2-part*"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX010T8_BTLJ904508TK1P0FGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x67f44014
brand: Intel(R) Xeon(R) Platinum 9242 CPU @ 2.30GHz
ucode: '0x5003901'
need_kconfig_hw:
- IGB: "y"
- BLK_DEV_NVME
rootfs: debian-13-x86_64-20250902.cgz
enqueue_time: 2025-11-27 13:44:53.288508030 +08:00
compiler: gcc-14
_rt: "/result/fio-basic/4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G/lkp-csl-2sp10/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d"
kernel: "/pkg/linux/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d/vmlinuz-6.18.0-rc6-00035-geb2db043ab3a"
result_root: "/result/fio-basic/4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G/lkp-csl-2sp10/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d/0"

#! schedule options
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20251127-102048"
max_uptime: 14400
initrd: "/osimage/debian/debian-13-x86_64-20250902.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/fio-basic/4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G/lkp-csl-2sp10/debian-13-x86_64-20250902.cgz/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d/vmlinuz-6.18.0-rc6-00035-geb2db043ab3a
- branch=tip/tmp.tmp
- job=/lkp/jobs/scheduled/lkp-csl-2sp10/fio-basic-4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G-debian-13-x86_64-20250902.cgz-eb2db043ab3a-20251127-3319227-459y1e-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-9.4
- commit=eb2db043ab3a28ae76800f2a57e144420800d56d
- intremap=posted_msi
- acpi_rsdp=0x67f44014
- max_uptime=14400
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-9.4/gcc-14/eb2db043ab3a28ae76800f2a57e144420800d56d/modules.cgz"
bm_initrd: "/osimage/deps/debian-13-x86_64-20250902.cgz/lkp_20250902.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/run-ipconfig_20250919.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/fs_20250914.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/fio_20251123.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/fio-x86_64-7c8dbca4-1_20251123.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/iostat_20250917.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/turbostat_20250919.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/turbostat-x86_64-0739473694c4-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/perf_20251023.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/perf-x86_64-0739473694c4-1_20251010.cgz,/osimage/pkg/debian-13-x86_64-20250902.cgz/sar-x86_64-eb341c2e-1_20251011.cgz,/osimage/deps/debian-13-x86_64-20250902.cgz/hw_20250902.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20250523.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: shz

#! /zdci/db/releases/20251127102539/lkp-src/include/site/shz
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-csl-2sp10/fio-basic-4M-performance-1SSD-btrfs-falloc-100%-300s-randwrite-128G-debian-13-x86_64-20250902.cgz-eb2db043ab3a-20251127-3319227-459y1e-0.cgz"
dequeue_time: 2025-11-27 13:46:50.139018842 +08:00
last_kernel: 4.19.0-14-amd64
job_state: booting
